// 	在页面初始化加载之后  
mbos('page').bind('afterLoad', function () {
    _this.operateState = mbos.getRequestParams().operateState // 页面状态
    _this.path = mbos.pageInfo.path // 轻应用的路径编码
    _this.editPageCode = mbos.pageInfo.name.replace('View', 'Add') // 详情页面的编码 (个别页面可特殊处理直接写入)
    _this.title = localeResource.Travel_Request
    toggleEntry() // 折叠\展开实体分录
    toggleApprove() // 折叠\展开 审批流程
    
     _this.decimal = 4
    getDecimal()// 获取pc配置的小数点数
  })
  mbos('entity').bind('afterLoad', function () {
    initCommon(_this.title)// 初始化公共部分
  })
  
  mbos('editgrid1').bind('afterRendered', function (e) {
    activedEntry() // 保证蓝色的下标在对应分录上
    var index = e.index
    initPage() // 页面初始化时数据调整
    timeStyle(e) // 起止时间的样式优化展示
    // 是否展示弹性算时长字段
    mbos('entries_isElasticCalLen', index).value() ? mbos('entries_isElasticCalLen', index).show(): mbos('entries_isElasticCalLen', index).hide()
    $('#timeLength_' + index).find('label')[0].innerHTML = (mbos('timeLengthValue', index).value()).toFixed(_this.decimal) + localeResource.days;
    $("[id^='entries_remark'] textarea").attr('rows', 3) // 多行文本 默认3行
    $("[id^='entries_tripReason'] textarea").attr('rows', 3) // 多行文本 默认3行
  })
  // 获取pc配置的小数点数 默认为小数点后四位
  function getDecimal(i){
    var callback = function(res){
      _this.decimal = res.data.decimalPlaceSystem || 4
      
    }
    baseInterface('getDecimalPlace', callback) // 获取小数点数
  }
  // 编辑
  _this.edit = function (event) {
    editHandle(_this.path, _this.editPageCode)
  }
  // 删除
  _this.delete = function (event) {
    deleteHandle()
  }
  
  // 撤回
  _this.recall = function (event) {
    // 未审批
    recallHandle()
  }
  
  // 提交
  _this.toSubmit = function (event) {
    submitHandle()
  }
  
  // 分录中 时间的样式优化展示
  function timeStyle(e) {
    //   开始时间
    var start = mbos('startTime', e.index).value().split(" ");
    $('#sTime_' + e.index).find('label')[0].innerHTML = start[1];
    $('#sDate_' + e.index).find('label')[0].innerHTML = start[0];
    // 结束时间
    var end = mbos('endTime', e.index).value().split(" ");
    $('#eTime_' + e.index).find('label')[0].innerHTML = end[1];
    $('#eDate_' + e.index).find('label')[0].innerHTML = end[0];
    // 时长及箭头图标
    $('#timeLength_' + e.index).find('label')[0].innerHTML = mbos('timeLengthValue', e.index).value() + localeResource.days;
    $('#timeLength_' + e.index).find('label').addClass("lengthBottom");
    $("#arrow_" + e.index).find('label').addClass("arrowIcon");
  }
          
  